Bug 165670 - plasma crashed when removing activity
Summary: plasma crashed when removing activity
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-03 23:43 UTC by Shrikant Khare
Modified: 2008-07-07 00:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shrikant Khare 2008-07-03 23:43:26 UTC
Version:            (using Devel)
Installed from:    Compiled sources
Compiler:          gcc (SUSE Linux) 4.3.1 20080507 openSUSE 11.0 gcc-4_3-branch revision 135036] 
OS:                Linux

Compiled kde 4.1 from svn trunk (rev:827748) on openSUSE 11.0 x86_64 installation.

Well, I was trying out the Activity feature of plasma and created 3 new Activites. Then, I could not find a way to delete the created activities. Finally, searched for and found the Plasma 4.1 FAQ. Now, I could not find the remove current desktop option in the right-click menu. It appears and disappears at random (should I report another bug??......using ctrl-shift-R ATM). Anyway I deleted the activity and plasma crashed. I have tried it again after logging and now, nothing seems to happen (neither plasma crashes nor the activity gets deleted). 

Here is the backtrace:

Application: Plasma Workspace (plasma), signal SIGSEGV
[?1034h[Thread debugging using libthread_db enabled]
[New Thread 0x7f5cfbf14700 (LWP 8517)]
[New Thread 0x4209b950 (LWP 8522)]
[New Thread 0x40c47950 (LWP 8521)]
[New Thread 0x4189a950 (LWP 8520)]
[KCrash handler]
#5  0x0000000000c9ffc0 in ?? ()
#6  0x00007f5cf860ed19 in QObject::disconnect () from /usr/lib64/libQtCore.so.4
#7  0x00007f5cfb845ee8 in Plasma::View::setContainment (this=0x92d890, 
    containment=0x7387d0)
    at /home/khare/kde/src/trunk/KDE/kdebase/workspace/libs/plasma/view.cpp:182
#8  0x00007f5cfbb17462 in DesktopView::setContainment (this=0x92d890, 
    containment=0x7387d0)
    at /home/khare/kde/src/trunk/KDE/kdebase/workspace/plasma/plasma/desktopview.cpp:161
#9  0x00007f5cfbb17389 in DesktopView::qt_metacall (this=0x92d890, 
    _c=QMetaObject::InvokeMetaMethod, _id=11, _a=0x7fff03f53bd0)
    at /home/khare/kde/build/trunk/KDE/kdebase/workspace/plasma/plasma/desktopview.moc:98
#10 0x00007f5cf860d4e0 in QMetaObject::activate ()
   from /usr/lib64/libQtCore.so.4
#11 0x00007f5cfb8127d3 in Plasma::Containment::focusRequested (this=0x7387d0, 
    _t1=0x7387d0)
    at /home/khare/kde/build/trunk/KDE/kdebase/workspace/libs/plasma/containment.moc:189
#12 0x00007f5cfb81390a in Plasma::ContainmentPrivate::focusApplet (
    this=0x705190, applet=0x7387d0)
    at /home/khare/kde/src/trunk/KDE/kdebase/workspace/libs/plasma/containment.cpp:965
#13 0x00007f5cfb7e86d9 in Plasma::Applet::focusInEvent (this=0x7387d0, 
    event=0x7fff03f53ce0)
    at /home/khare/kde/src/trunk/KDE/kdebase/workspace/libs/plasma/applet.cpp:1142
#14 0x00007f5cf555c026 in QGraphicsItem::sceneEvent ()
   from /usr/lib64/libQtGui.so.4
#15 0x00007f5cf557a679 in QGraphicsScene::setFocusItem ()
   from /usr/lib64/libQtGui.so.4
#16 0x00007f5cfb7e8710 in Plasma::Applet::mousePressEvent (this=0x7387d0, 
    event=0x7fff03f54540)
    at /home/khare/kde/src/trunk/KDE/kdebase/workspace/libs/plasma/applet.cpp:1135
#17 0x00007f5cf555bfc6 in QGraphicsItem::sceneEvent ()
   from /usr/lib64/libQtGui.so.4
#18 0x00007f5cf557ae02 in ?? () from /usr/lib64/libQtGui.so.4
#19 0x00007f5cf557f688 in ?? () from /usr/lib64/libQtGui.so.4
#20 0x00007f5cf5580370 in QGraphicsScene::event ()
   from /usr/lib64/libQtGui.so.4
#21 0x00007f5cf50bd92d in QApplicationPrivate::notify_helper ()
   from /usr/lib64/libQtGui.so.4
#22 0x00007f5cf50c3cfa in QApplication::notify () from /usr/lib64/libQtGui.so.4
#23 0x00007f5cfa9d789a in KApplication::notify (this=0x637640, 
    receiver=0x6acda0, event=0x7fff03f54540)
    at /home/khare/kde/src/trunk/KDE/kdelibs/kdeui/kernel/kapplication.cpp:311
#24 0x00007f5cf85fbe9c in QCoreApplication::notifyInternal ()
   from /usr/lib64/libQtCore.so.4
#25 0x00007f5cf558b2dd in QGraphicsView::mousePressEvent ()
   from /usr/lib64/libQtGui.so.4
#26 0x00007f5cf510a46a in QWidget::event () from /usr/lib64/libQtGui.so.4
#27 0x00007f5cf558c1bb in QGraphicsView::viewportEvent ()
   from /usr/lib64/libQtGui.so.4
#28 0x00007f5cf85fb188 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib64/libQtCore.so.4
#29 0x00007f5cf50bd8fc in QApplicationPrivate::notify_helper ()
   from /usr/lib64/libQtGui.so.4
#30 0x00007f5cf50c4566 in QApplication::notify () from /usr/lib64/libQtGui.so.4
#31 0x00007f5cfa9d789a in KApplication::notify (this=0x637640, 
    receiver=0x92e000, event=0x7fff03f54da0)
    at /home/khare/kde/src/trunk/KDE/kdelibs/kdeui/kernel/kapplication.cpp:311
#32 0x00007f5cf85fbe9c in QCoreApplication::notifyInternal ()
   from /usr/lib64/libQtCore.so.4
#33 0x00007f5cf50c5838 in QApplicationPrivate::sendMouseEvent ()
   from /usr/lib64/libQtGui.so.4
#34 0x00007f5cf511b8dc in ?? () from /usr/lib64/libQtGui.so.4
#35 0x00007f5cf511a4fb in QApplication::x11ProcessEvent ()
   from /usr/lib64/libQtGui.so.4
#36 0x00007f5cf513e57c in ?? () from /usr/lib64/libQtGui.so.4
#37 0x00007f5cf85fa7f2 in QEventLoop::processEvents ()
   from /usr/lib64/libQtCore.so.4
#38 0x00007f5cf85fa985 in QEventLoop::exec () from /usr/lib64/libQtCore.so.4
#39 0x00007f5cf85fca25 in QCoreApplication::exec ()
   from /usr/lib64/libQtCore.so.4
#40 0x00007f5cfbb18a0b in kdemain (argc=1, argv=0x7fff03f55d08)
    at /home/khare/kde/src/trunk/KDE/kdebase/workspace/plasma/plasma/main.cpp:54
#41 0x00000000004009f7 in main (argc=1, argv=0x7fff03f55d08)
    at /home/khare/kde/build/trunk/KDE/kdebase/workspace/plasma/plasma/plasma-qgv_dummy.cpp:3
#0  0x00007f5cf3be1261 in nanosleep () from /lib64/libc.so.6


TIA
Comment 1 Chani 2008-07-05 21:38:19 UTC
it seems that it's possible to remove activities while they're in use now.
when I added the remove-activity action, I only enabled it for ones that are *not* active, because it's not safe to remove active ones.

either it needs to go back to only allowing the user to remove inactive ones, or it needs to be made safe (perhaps by switching to the next activity or creating a new one if none are available).
Comment 2 Aaron J. Seigo 2008-07-07 00:50:55 UTC
fixed in svn r#828906